<%@ page contentType="text/html" language="java"%>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html"%>
<%@ taglib prefix="ig" uri="http://www.infragistics.com/faces/netadvantage"%>
<%@ taglib uri="/WEB-INF/numberOption.tld" prefix="lanyon"%>
<f:view>
    <h:form id="_form01">
    	
    	<f:verbatim escape="false">
    		In this case, we enclose dialog window directly within a table. It works well<br>
    		Please click <a href="#" onclick="igShowDialog();return false">here</a>
    	</f:verbatim>
	    <h:panelGroup id="panel001" styleClass="main">
	    	<table><tr><td>    	
			<ig:dialogWindow id="igDw001" movable="true" modal="true" windowState="hidden" style="width:450px;height:350px;z-index:500" binding="#{webdw_bb.dialogWindow}">
			<ig:dwHeader id="header001" captionText="First Time User">
				<ig:dwMinimizeBox />
				<ig:dwCloseBox />
			</ig:dwHeader>
			<ig:dwContentPane id="content001">
				<f:verbatim ><br>
				<div align="left">In this case, we enclose dialog window directly within a table<br>
						< table>< tr>< td><br>
							< ig : dialogWindow> <br>
								....<br>
							< / ig : dialogWindow><br>
						< /td>< /tr>< /table><br>
				</div>
				<div align="right"><br><br>
				<button onclick="igHideDialog();return false;">Close</button>
				&nbsp;</div>
				<script>
					function igHideDialog() {
					   var igJsDwNode = ig.dw.getDwJsNodeById("_form01:igDw001");
					   if (igJsDwNode != null) {
					      igJsDwNode.set_windowState(ig.dw.STATE_HIDDEN);
					   }
					}
					
					function igShowDialog() {
					   var igJsDwNode = ig.dw.getDwJsNodeById("_form01:igDw001");
					   if (igJsDwNode != null) {
					      igJsDwNode.set_windowState(ig.dw.STATE_NORMAL);
					   }
					}
				</script>
				</f:verbatim>
			</ig:dwContentPane>
			</ig:dialogWindow>
			</td></tr></table>
		</h:panelGroup>
		
	</h:form>
</f:view>